Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 113224 - nethack-3.4.3-r2.ebuild + patch
Summary: nethack-3.4.3-r2.ebuild + patch
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Mira Ressel
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 104707 109013 109191
  Show dependency tree
 
Reported: 2005-11-21 19:47 UTC by Kiyoshi Aman
Modified: 2015-10-11 21:38 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
nethack-3.4.3-r2.ebuild (nethack-3.4.3-r2.ebuild,4.98 KB, text/plain)
2005-11-21 19:51 UTC, Kiyoshi Aman
Details
3.4.3-gentoo.patch (3.4.3-gentoo.patch,140.53 KB, patch)
2005-11-21 19:52 UTC, Kiyoshi Aman
Details | Diff
nethack-3.4.3-r2.ebuild try 2 (nethack-3.4.3-r2.ebuild,4.98 KB, text/plain)
2005-11-22 14:05 UTC, Kiyoshi Aman
Details
nethack-3.4.3-r2.ebuild (nethack-3.4.3-r2.ebuild,4.99 KB, text/plain)
2005-11-23 10:03 UTC, Kiyoshi Aman
Details
yet another ebuild (nethack-3.4.3-r2.ebuild,5.00 KB, text/plain)
2005-11-23 10:11 UTC, Kiyoshi Aman
Details
updated .nethackrc (dot.nethackrc,3.82 KB, text/plain)
2005-11-23 10:30 UTC, Kiyoshi Aman
Details
Because Nethack checks HACKDIR for tiles (nethack-3.4.3-r2.ebuild,4.81 KB, text/plain)
2005-11-23 11:46 UTC, Kiyoshi Aman
Details
Updated patch; fixes savepath issue once and for all, hopefully. (3.4.3-gentoo.patch,145.13 KB, patch)
2005-11-30 00:52 UTC, Kiyoshi Aman
Details | Diff
ebuild with Russian translation (nethack-3.4.3-r3.ebuild,5.52 KB, text/plain)
2009-08-25 21:50 UTC, Damir Gilyazov
Details
patch for russian translation (3.4.3-russian-unVC2008.patch,10.64 KB, patch)
2009-08-25 21:51 UTC, Damir Gilyazov
Details | Diff
english/russian ebuild with unicode use (nethack-3.4.3-r3.ebuild,5.71 KB, text/plain)
2009-08-26 10:41 UTC, Damir Gilyazov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kiyoshi Aman 2005-11-21 19:47:51 UTC
Here's an ebuild for Nethack 3.4.3.
Comment 1 Kiyoshi Aman 2005-11-21 19:50:20 UTC
Blocking appropriate bugs.
Comment 2 Kiyoshi Aman 2005-11-21 19:51:25 UTC
Created attachment 73344 [details]
nethack-3.4.3-r2.ebuild
Comment 3 Kiyoshi Aman 2005-11-21 19:52:23 UTC
Created attachment 73345 [details, diff]
3.4.3-gentoo.patch
Comment 4 Kiyoshi Aman 2005-11-22 14:05:45 UTC
Created attachment 73398 [details]
nethack-3.4.3-r2.ebuild try 2

Oops, missed some gnomes in the move to USE="gtk" respect.
Comment 5 Kiyoshi Aman 2005-11-23 10:03:47 UTC
Created attachment 73441 [details]
nethack-3.4.3-r2.ebuild

Tiles don't go in /usr/share/pixmaps

This also fixes the issue where tiles got put in / because PIXMAPDIR isn't set.
Oops.
Comment 6 Kiyoshi Aman 2005-11-23 10:11:25 UTC
Created attachment 73443 [details]
yet another ebuild

This one puts tiles in ${GAMES_DATADIR}/${PN}, unlike the old one.
Comment 7 Kiyoshi Aman 2005-11-23 10:30:00 UTC
Created attachment 73444 [details]
updated .nethackrc

This will set some sensible defaults in Nethack, some of which use the new
features.
Comment 8 Kiyoshi Aman 2005-11-23 11:46:48 UTC
Created attachment 73451 [details]
Because Nethack checks HACKDIR for tiles

Intermediate ebuild until I write a patch to apply for gtk so it can find the
tiles properly.
Comment 9 Thomas Weidner 2005-11-23 16:45:35 UTC
what about changing the right ressources in /etc/X11/app-defaults/NetHack? IIRC
there is one for the tile file location.
Comment 10 Kiyoshi Aman 2005-11-27 18:59:04 UTC
There's one to tell Nethack what the filename is, but I don't know if it will
honour an absolute path.
Comment 11 Jeroen Roovers gentoo-dev 2005-11-29 15:13:17 UTC
With the latest version of the ebuild:

i686-pc-linux-gnu-gcc -O3 -march=c3-2 -I../include   -c -o files.o files.c
files.c: In function `get_saved_games':
files.c:1002: error: `SAVE_PREFIX' undeclared (first use in this function)
files.c:1002: error: (Each undeclared identifier is reported only once
files.c:1002: error: for each function it appears in.)
i686-pc-linux-gnu-gcc -O3 -march=c3-2 -I../include   -c -o fountain.o fountain.c
make: *** [files.o] Error 1
make: *** Waiting for unfinished jobs....

!!! ERROR: games-roguelike/nethack-3.4.3-r2 failed.
Comment 12 Jeroen Roovers gentoo-dev 2005-11-29 19:14:39 UTC
This should fix it...

--- files/3.4.3-gentoo.patch-old        2005-11-22 06:28:53.000000000 +0100
+++ files/3.4.3-gentoo.patch    2005-11-30 04:12:43.000000000 +0100
@@ -2784,7 +2784,7 @@
      int myuid=getuid();
      struct dirent **namelist;
 -    int n = scandir("save", &namelist, 0, alphasort);;
-+    int n = scandir(fqname("save",SAVE_PREFIX,0), &namelist, 0, alphasort);;
++    int n = scandir(fqname("save",SAVEPREFIX,0), &namelist, 0, alphasort);;
      if ( n > 0 ) {
        int i,j=0;
        char** result = (char**)alloc((n+1)*sizeof(char*)); /* at most */
Comment 13 Jeroen Roovers gentoo-dev 2005-11-29 20:08:01 UTC
It works with all use flags but OPTIONS=windowtype:gnome does not work properly 
yet. I get this error (after nethack has crashed and dissappeared from the 
screen:

jeroen@epia ~ $ nethack
Gdk-ERROR **: BadMatch (invalid parameter attributes)
  serial 28085 error_code 8 request_code 62 minor_code 0
Gdk-ERROR **: BadMatch (invalid parameter attributes)
  serial 28089 error_code 8 request_code 62 minor_code 0
jeroen@epia ~ $ 

The other modes (tty, qt, x11) work fine.
Comment 14 Kiyoshi Aman 2005-11-30 00:52:14 UTC
Created attachment 73835 [details, diff]
Updated patch; fixes savepath issue once and for all, hopefully.

Updated ebuild to address the gnome -> gtk breakage up shortly.
Comment 15 Kiyoshi Aman 2005-11-30 00:56:37 UTC
Argh. I just checked the ebuild, and it doesn't seem to have an issue.

Additionally, it works for me; I don't know why windowtype:gnome isn't working
for you.
Comment 16 Kiyoshi Aman 2005-11-30 00:59:41 UTC
Ack, forgot this doesn't have an edit button...

I only tried it without specifying windowtype:gnome specifically, and it *seems*
to work just fine in that instance. [I have -qt in my use flags, so I don't know
if Qt is interfering in some way.]
Comment 17 James Earl Spahlinger 2009-07-25 20:06:28 UTC
Hello all, doing some bug triage through our old bugs and noticed this one. The situation is this: we have version 3.4.3-r1 in portage already, currently hardmasked due to security issues. This bug here is a proposed ebuild for 3.4.3.

I would close it if not for the proposed patches which I cannot evaluate are needed in the portage version. Advice on what needs doing is appreciated as conversation on this one and dependencies died out a long time ago.
Comment 18 Kiyoshi Aman 2009-07-26 13:10:59 UTC
The patches applied herein are enhancements above and beyond those present in the Debian packages. It's been years, however, and I am no longer interested in working with Nethack in Gentoo; Sporkhack has since arisen, and needs packaging.
Comment 19 Damir Gilyazov 2009-08-25 21:50:50 UTC
Created attachment 202284 [details]
ebuild with Russian translation

please, integrate into it gtk
this is actual gtk2 interface: http://gtk2hack.sourceforge.net
Comment 20 Damir Gilyazov 2009-08-25 21:51:15 UTC
Created attachment 202285 [details, diff]
patch for russian translation
Comment 21 Damir Gilyazov 2009-08-26 10:41:50 UTC
Created attachment 202312 [details]
english/russian ebuild with unicode use
Comment 22 Mira Ressel 2015-10-11 21:38:29 UTC
The GTK port seems to be abandoned, so I won't include it in our ebuild. I'm thinking about adding in a few common patches, but as the choice of nethack patches is highly subjective and many patches are incompatible with each other, I won't rush this.

I've added an epatch_user call to the ebuild, though, so you can just drop your patches in /etc/portage/patches.